### Virtual Method

# Gtk Widget query_tooltip

#### Declaration [src]

    gboolean
    query_tooltip (
      GtkWidget* widget,
      int x,
      int y,
      gboolean keyboard_tooltip,
      GtkTooltip* tooltip
    )

#### Description [src]

Signal emitted when “has-tooltip” is `TRUE` and the hover timeout has expired with the cursor hovering “above” widget; or emitted when widget got focus in keyboard mode.

#### Parameters

`x`

  Type: `int`

  No description available.

`y`

  Type: `int`

  No description available.

`keyboard_tooltip`

  Type: `gboolean`

  No description available.

`tooltip`

  Type: `GtkTooltip`

  No description available.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

No description available.